org.springframework.batch.sample.domain.trade.internal

## Class GeneratingTradeItemReader

- java.lang.Object
- - org.springframework.batch.sample.domain.trade.internal.GeneratingTradeItemReader

- All Implemented Interfaces:
    ItemReader<Trade>

      public class GeneratingTradeItemReader
      extends java.lang.Object
      implements ItemReader<Trade>

  Generates configurable number of `Trade` items.
  Author:
    Robert Kasanicky

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratingTradeItemReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCounter()`
    `int` | `getLimit()`
    `Trade` | `read()` Reads a piece of input data and advance to the next one.
    `void` | `resetCounter()`
    `void` | `setLimit(int limit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratingTradeItemReader

          public GeneratingTradeItemReader()

  - ### Method Detail

    - #### read

          public Trade read()
                     throws java.lang.Exception

      Description copied from interface: `ItemReader`
      Reads a piece of input data and advance to the next one. Implementations must return `null` at the end of the input data set. In a transactional setting, caller might get the same item twice from successive calls (or otherwise), if the first call was in a transaction that rolled back.
      Specified by:
        `read` in interface `ItemReader<Trade>`
      Returns:
        T the item to be processed
      Throws:
        `ParseException` - if there is a problem parsing the current record (but the next one may still be valid)
        `NonTransientResourceException` - if there is a fatal exception in the underlying resource. After throwing this exception implementations should endeavour to return null from subsequent calls to read.
        `UnexpectedInputException` - if there is an uncategorised problem with the input data. Assume potentially transient, so subsequent calls to read might succeed.
        `java.lang.Exception` - if an there is a non-specific error.

    - #### setLimit

          public void setLimit(int limit)

      Parameters:
        `limit` - number of items that will be generated (null returned on consecutive calls).

    - #### getCounter

          public int getCounter()

    - #### getLimit

          public int getLimit()

    - #### resetCounter

          public void resetCounter()